- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

# ofx_preproc.hh File Reference

## Detailed Description

Preprocessing of the OFX files before parsing.

Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD.

Definition in file fx-0.8.2/lib/ofx_preproc.hh.

Go to the source code of this file.

## Defines
#define | OPENSPDCL_FILENAME "opensp.dcl"
#define | OFX160DTD_FILENAME "ofx160.dtd"
#define | OFCDTD_FILENAME "ofc.dtd"
## Functions
string | sanitize_proprietary_tags (string input_string)
| Removes proprietary tags and comments.
string | find_dtd (string dtd_filename)
| Find the appropriate DTD for the file version.
CFCT int | ofx_proc_file (LibofxContextPtr libofx_context, const char *)
| ofx_proc_file process an ofx or ofc file.

## Function Documentation

string find_dtd | ( | string | dtd_filename | ) |

Find the appropriate DTD for the file version.

This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)

Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly

Definition at line 435 of file ofx_preproc.cpp.

CFCT int ofx_proc_file | ( | LibofxContextPtr | ctx,
|  | const char * | p_filename |
| ) |  |  |

ofx_proc_file process an ofx or ofc file.

Takes care of comment striping, dtd locating, etc.

Definition at line 58 of file ofx_preproc.cpp.

string sanitize_proprietary_tags | ( | string | input_string | ) |

Removes proprietary tags and comments.

This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it

Definition at line 332 of file ofx_preproc.cpp.